Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp
Class KeyEnciphermentPOP

`java.lang.Object
oracle.security.crypto.cmp.ProofOfPossession
oracle.security.crypto.cmp.KeyEnciphermentPOP`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class KeyEnciphermentPOP
extends ProofOfPossession

CRMF proof-of-possession value for key encipherment keys.

Nested Class Summary

Nested classes inherited from class oracle.security.crypto.cmp.ProofOfPossession
`ProofOfPossession.SubsequentMsg, ProofOfPossession.Type`

Constructor Summary
`KeyEnciphermentPOP(EncryptedValue encryptedKey)` Create a new `KeyEnciphermentPOP` where proof-of-possession is achieved in this message by including the encrypted private key.
`KeyEnciphermentPOP(java.io.InputStream is)`
`KeyEnciphermentPOP(ProofOfPossession.SubsequentMsg subsequentMsg)` Create a new `KeyEnciphermentPOP` where proof-of-possession will be achieved in a subsequent message, either indirectly (via an encrypted certificate) or directely (via a challenge-response exchange).

Method Summary
`EncryptedValue` | `getEncryptedKey()` If proof of possession is contained in this message, the value of such proof is returned, consisting of the private key, encrypted for the CA.
`ProofOfPossession.SubsequentMsg` | `getSubsequentMsgType()` If proof of possession is to be given in a subsequent message, the type of such proof is returned.
`ProofOfPossession.Type` | `getType()` Returns one of the values defined in `ProofOfPossession.Type`.
`void` | `input(java.io.InputStream is)`
`java.lang.String` | `toString()`

Methods inherited from class oracle.security.crypto.cmp.ProofOfPossession
`inputInstance, length, output`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyEnciphermentPOP

    public KeyEnciphermentPOP(EncryptedValue encryptedKey)

  Create a new `KeyEnciphermentPOP` where proof-of-possession is achieved in this message by including the encrypted private key.

### KeyEnciphermentPOP

    public KeyEnciphermentPOP(ProofOfPossession.SubsequentMsg subsequentMsg)

  Create a new `KeyEnciphermentPOP` where proof-of-possession will be achieved in a subsequent message, either indirectly (via an encrypted certificate) or directely (via a challenge-response exchange).
See Also:
  `ProofOfPossession.SubsequentMsg.ENCR_CERT`, `ProofOfPossession.SubsequentMsg.CHALLENGE_RESP`

### KeyEnciphermentPOP

    public KeyEnciphermentPOP(java.io.InputStream is)
                       throws java.io.IOException

Method Detail

### getType

    public ProofOfPossession.Type getType()

  Description copied from class: `ProofOfPossession`
  Returns one of the values defined in `ProofOfPossession.Type`.
  Specified by:
    `getType` in class `ProofOfPossession`

### getEncryptedKey

    public EncryptedValue getEncryptedKey()

  If proof of possession is contained in this message, the value of such proof is returned, consisting of the private key, encrypted for the CA. Otherwise returns `null`.

### getSubsequentMsgType

    public ProofOfPossession.SubsequentMsg getSubsequentMsgType()

  If proof of possession is to be given in a subsequent message, the type of such proof is returned. Otherwise returns `null`.

### toString

    public java.lang.String toString()

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.